Skip to main content

Create Location

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.create_location

Create a new sub-account/location in GoHighLevel (Agency Pro plan required)

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-create-location-example",
"method": "tools/call",
"params": {
"name": "ghl.create_location",
"arguments": {
"name": "name_example",
"companyId": "companyId_123",
"tenantId": "tenantId_123",
"phone": "phone_example",
"address": "address_example",
"city": "city_example",
"state": "state_example",
"country": "country_example",
"postalCode": "postalCode_example",
"website": "website_example"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"name": {
"type": "string"
},
"companyId": {
"type": "string"
},
"phone": {
"type": "string"
},
"address": {
"type": "string"
},
"city": {
"type": "string"
},
"state": {
"type": "string"
},
"country": {
"type": "string"
},
"postalCode": {
"type": "string"
},
"website": {
"type": "string"
},
"timezone": {
"type": "string"
},
"prospectInfo": {
"type": "object",
"properties": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"email": {
"type": "string",
"format": "email"
}
},
"required": [
"firstName",
"lastName",
"email"
]
},
"snapshotId": {
"type": "string"
}
},
"required": [
"name",
"companyId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-create-location-example",
"method": "tools/call",
"params": {
"name": "ghl.create_location",
"arguments": {
"name": "name_example",
"companyId": "companyId_123",
"tenantId": "tenantId_123",
"phone": "phone_example",
"address": "address_example",
"city": "city_example",
"state": "state_example",
"country": "country_example",
"postalCode": "postalCode_example",
"website": "website_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.create_location executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}